<?php namespace RWMedia;

function settings() {
	$d = DIRECTORY_SEPARATOR;
	
	//dirs
	$rwThumbsSettings = \RWThumbs\settings();
	$dirs = $rwThumbsSettings['dirs'];
	
	$dirRwMedia = $dirs['dir'] . 'rwmedia' . $d;
	$dirGeneral = $dirRwMedia . 'general' . $d;
	$dirGifThumbnails = $dirs['dir_rwthumbs']  . 'rwmedia_gif_thumbnails' . $d;
	
	//web urls
	$webRwMedia = $dirs['web']  . 'rwmedia/';
	$webGeneral = $webRwMedia . 'general/';
	$webGifThumbnails = $dirs['web_rwthumbs'] . 'rwmedia_gif_thumbnails/';
	
	$output = [
		'credentials' => [
			'imgur' => [
				'clientId' => '',
			],
			'streamable' => [
				'user' => '',
				'pass' => '',
			],
			'rewired' => [
				'appId' => 'vFvvlt2jsi@xbly4PRuZ6t5OxGinMpd68nM4SeGLjgE-',
			],
		],
		
		'dirs' => [
			'dir_rwmedia' => $dirRwMedia,
			'dir_general' =>$dirGeneral,
			'dir_gif_thumbnails' => $dirGifThumbnails,
			
			'web_rwmedia' =>$webRwMedia,
			'web_general' =>$webGeneral,
			'web_gif_thumbnails' =>$webGifThumbnails,
			
			'api_get' => 'rwmedia/get',
			'api_get_group' => 'rwmedia/get_group',
			'api_log' => 'rwmedia/log',
			'api_log_group' => 'rwmedia/log_group',
			'api_set' => 'rwmedia/set',
			'api_set_sync' => 'rwmedia/set_sync',
			'api_delete' => 'rwmedia/delete',
			'api_steps' => 'rwmedia/steps',
			'api_node_update' => 'rwmedia/node_update',
			'api_test' => 'rwmedia/test',
		],
	];
	
	$output = array_merge_recursive($rwThumbsSettings, $output);
	
	return $output;
}

?>