<?php namespace RWMedia;

class Access {
	
	public static function isPrivileged() {
		$postRequestData = file_get_contents('php://input');
		$postRequestData = urldecode($postRequestData);
		$postRequest = json_decode($postRequestData, true);
		$appId = $postRequest['appId'] ?? '';

		if (user_is_logged_in()) {
			global $user;
			
			if (in_array('administrator', $user->roles)) {
				return TRUE;
			}
		}
		else if ($appId === \RWMedia\settings()['credentials']['rewired']['appId']) {
			return TRUE;
		}
		
		return FALSE;
	}

}


?>